[MASTER] fglrx does not build on 2.6.33 kernel and higher

Bug #573748 reported by Jonathon Fernyhough on 2010-05-02
740
This bug affects 129 people
Affects Status Importance Assigned to Milestone
fglrx-installer (Ubuntu)
High
Alberto Milone
Lucid
Medium
Unassigned
Maverick
High
Alberto Milone

Bug Description

This may not be the best place to put this but I have adapted patches from Arch (http://aur.archlinux.org/packages.php?ID=29111) and the fglrx dkms.conf to get fglrx to build.

As a workaround it might help someone - I'm aware .34 kernels aren't official packages (yet!).

File locations:
/usr/src/fglrx-8.723.1/dkms.conf
/usr/src/fglrx-8.723.1/patches/fglrx-2.6.33.patch
/usr/src/fglrx-8.723.1/patches/fglrx-2.6.34-rc4.patch

CVE References

description: updated
tags: added: patch
Robert Hooker (sarvatt) wrote :

I've uploaded the latest fglrx with the patches to allow building on 2.6.34 kernels to x-updates in the interim

https://launchpad.net/~ubuntu-x-swat/+archive/x-updates

Changed in fglrx-installer (Ubuntu):
status: New → Confirmed
importance: Undecided → Medium

Robert, your package doesn't successfully apply the arch patch (I think it's down to your regexp for PATCH_MATCH; if I can find a way to report a bug on your package I will ;) I'm also pretty sure you need both .33 and .34 patches for a .34 kernel.

I've attached a dkms.conf that will allow the X-Swat fglrx 8.732 to be patched and build correctly.

Robert's latest fglrx packages in X-Swat work perfectly with both .34 and .35 kernels.

Changed in fglrx-installer (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
summary: - fglrx does not build on 2.6.34 kernel (Patch files available)
+ fglrx does not build on 2.6.33 kernel and higher
Changed in fglrx-installer (Ubuntu):
status: Confirmed → Triaged

still being found in a fresh installation with 20100708's daily build iso. target machine is ThinkPad SL410

Wei-Yee Chan (chanweiyee) wrote :

Yep, it's still happening.

MaSo_CZ (mzettik) wrote :

X-Swat not helped with fglrx :-(

Ubuntu 10.04 64b
2.6.35-7-generic
01:00.0 VGA compatible controller: ATI Technologies Inc RV370 [Sapphire X550 Silent]
01:00.1 Display controller: ATI Technologies Inc RV370 secondary [Sapphire X550 Silent]

mrl586 (mrl586) wrote :

Reply to #9: Unfortunately, your card is too old.
http://wiki.cchtml.com/index.php/Hardware

summary: - fglrx does not build on 2.6.33 kernel and higher
+ [MASTER] fglrx does not build on 2.6.33 kernel and higher

More information based around my testing: http://ubuntuforums.org/showthread.php?t=1510376

Essentially one change is needed to one file for >=2.6.34 as Catalyst 10.6 supports 2.6.33. This is accomplished by fglrx-2.6.34-rc4.patch though it may be easier to just change the file (I'm surprised ATi haven't done it themselves):

Edit kcl_wait.c, and below "#include <linux/sched.h>" add the lines:

#if LINUX_VERSION_CODE >= KERNEL_VERSION(2,6,34)
#include <linux/slab.h>
#endif

OK...I will try it, You Know i,m just a beginner in LINUX (about 5 year, full use of UBUNTU-debian)

 Recently after the new LAPTOP of my Parent( with the buggy VISTA),Then not running as good as is older desktop (with XP)!!!!! My parent, let me install UBUNTU (just because DELL do it!!!!, So it give credibility to LINUX )

So Now my Mother, is a UBUNTU user at 70.....And tell to me it is much more easy in LINUX (with good program in UBUNTU) all working OK
Is use of INTERNET is 80% for Email look on GOOGLE, watch REPLAY in internet TV, And RECENTLY CHATTING....(Ubuntu give a 1st time perfect score for my mother) So She enjoy much more is Computer!!!!!!!!!!!! A friend try at the same time to go on this CHATTING ROOM (with a new windows Seven) AND is NOT able to do IT!!!!!!!! My mother tell to HIM try UBUNTU...LoL, She just install a new CARD game with is LOGITÈQUES (French name for sofware center)

If a Grand mother at 70, Can do Computer with UBUNTU......Anyone CAN

---------------------------------------------------------------------------------------------------------------------------------

> Date: Mon, 19 Jul 2010 10:44:40 +0000
> From: <email address hidden>
> To: <email address hidden>
> Subject: [Bug 573748] Re: [MASTER] fglrx does not build on 2.6.33 kernel and higher
>
> More information based around my testing:
> http://ubuntuforums.org/showthread.php?t=1510376
>
> Essentially one change is needed to one file for >=2.6.34 as Catalyst
> 10.6 supports 2.6.33. This is accomplished by fglrx-2.6.34-rc4.patch
> though it may be easier to just change the file (I'm surprised ATi
> haven't done it themselves):
>
> Edit kcl_wait.c, and below "#include <linux/sched.h>" add the lines:
>
> #if LINUX_VERSION_CODE >= KERNEL_VERSION(2,6,34)
> #include <linux/slab.h>
> #endif
>
> --
> [MASTER] fglrx does not build on 2.6.33 kernel and higher
> https://bugs.launchpad.net/bugs/573748
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “fglrx-installer” package in Ubuntu: Triaged
>
> Bug description:
> This may not be the best place to put this but I have adapted patches from Arch (http://aur.archlinux.org/packages.php?ID=29111) and the fglrx dkms.conf to get fglrx to build.
>
> As a workaround it might help someone - I'm aware .34 kernels aren't official packages (yet!).
>
> File locations:
> /usr/src/fglrx-8.723.1/dkms.conf
> /usr/src/fglrx-8.723.1/patches/fglrx-2.6.33.patch
> /usr/src/fglrx-8.723.1/patches/fglrx-2.6.34-rc4.patch
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/573748/+subscribe

_________________________________________________________________
Découvrez comment échanger avec vos vrais amis.
http://go.microsoft.com/?linkid=9734398

Ilya (ppp0-at) wrote :

no fglrx (
# dpkg-reconfigure fglrx
Removing all DKMS Modules
Done.
dpkg-trigger: dpkg-trigger must be called from a maintainer script (or with a --by-package option)
update-initramfs: Generating /boot/initrd.img-2.6.35-10-generic-pae
update-initramfs: Generating /boot/initrd.img-2.6.32-24-generic-pae
Loading new fglrx-8.741 DKMS files...
Building for 2.6.32-24-generic-pae and 2.6.35-10-generic-pae
Building for architecture i686
Building initial module for 2.6.32-24-generic-pae
Done.

fglrx.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/2.6.32-24-generic-pae/updates/dkms/

depmod....

DKMS: install Completed.
Building initial module for 2.6.35-10-generic-pae
Done.

fglrx.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/2.6.35-10-generic-pae/updates/dkms/

depmod....

DKMS: install Completed.
update-initramfs: Generating /boot/initrd.img-2.6.35-10-generic-pae

Catalyst 10.7 has been released and this builds correctly on 2.6.35-11 (no patching or fiddling required).

ok Thank,s

I will have some fun to mae 10.6 work!!!!!!!!!!! Graet for my LINUX knwoedlge

Good support Linux TEAM

---------------------------------------------------------------------------------------------------

> Date: Tue, 27 Jul 2010 14:47:29 +0000
> From: <email address hidden>
> To: <email address hidden>
> Subject: [Bug 573748] Re: [MASTER] fglrx does not build on 2.6.33 kernel and higher
>
> Catalyst 10.7 has been released and this builds correctly on 2.6.35-11
> (no patching or fiddling required).
>
> --
> [MASTER] fglrx does not build on 2.6.33 kernel and higher
> https://bugs.launchpad.net/bugs/573748
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “fglrx-installer” package in Ubuntu: Triaged
>
> Bug description:
> This may not be the best place to put this but I have adapted patches from Arch (http://aur.archlinux.org/packages.php?ID=29111) and the fglrx dkms.conf to get fglrx to build.
>
> As a workaround it might help someone - I'm aware .34 kernels aren't official packages (yet!).
>
> File locations:
> /usr/src/fglrx-8.723.1/dkms.conf
> /usr/src/fglrx-8.723.1/patches/fglrx-2.6.33.patch
> /usr/src/fglrx-8.723.1/patches/fglrx-2.6.34-rc4.patch
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/573748/+subscribe

siggy1 (siggy1) wrote :

Fresh install of Maverick 64-Bit Alpha 3 on Sony VAIO Laptop VPCEB1Z1E with ATI Radeon Mobility HD 5650.

"sudo apt-get install fglrx" fails

uname -a
Linux vaio 2.6.35-14-generic #20-Ubuntu SMP Fri Aug 6 22:28:24 UTC 2010 x86_64 GNU/Linux

$ sudo apt-get install fglrx
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
  fglrx-amdcccle
The following NEW packages will be installed:
  fglrx fglrx-amdcccle
0 upgraded, 2 newly installed, 0 to remove and 14 not upgraded.
Need to get 0B/34.3MB of archives.
After this operation, 110MB of additional disk space will be used.
Do you want to continue [Y/n]?
Selecting previously deselected package fglrx.
(Reading database ... 154626 files and directories currently installed.)
Unpacking fglrx (from .../fglrx_2%3a8.723.1-0ubuntu4_amd64.deb) ...
Selecting previously deselected package fglrx-amdcccle.
Unpacking fglrx-amdcccle (from .../fglrx-amdcccle_2%3a8.723.1-0ubuntu4_amd64.deb) ...
Processing triggers for man-db ...
Processing triggers for ureadahead ...
Setting up fglrx (2:8.723.1-0ubuntu4) ...
update-alternatives: using /usr/lib/fglrx/ld.so.conf to provide /etc/ld.so.conf.d/GL.conf (gl_conf) in auto mode.
update-initramfs: deferring update (trigger activated)
Loading new fglrx-8.723.1 DKMS files...
First Installation: checking all kernels...
Building only for 2.6.35-14-generic
Building for architecture x86_64
Building initial module for 2.6.35-14-generic

Error! Bad return status for module build on kernel: 2.6.35-14-generic (x86_64)
Consult the make.log in the build directory
/var/lib/dkms/fglrx/8.723.1/build/ for more information.
dpkg: error processing fglrx (--configure):
 subprocess installed post-installation script returned error exit status 10
configured to not write apport reports
                                      dpkg: dependency problems prevent configuration of fglrx-amdcccle:
 fglrx-amdcccle depends on fglrx; however:
  Package fglrx is not configured yet.
dpkg: error processing fglrx-amdcccle (--configure):
 dependency problems - leaving unconfigured
configured to not write apport reports
                                      Processing triggers for python-gmenu ...
Rebuilding /usr/share/applications/desktop.en_US.utf8.cache...
Processing triggers for initramfs-tools ...
update-initramfs: Generating /boot/initrd.img-2.6.35-14-generic
Processing triggers for python-support ...
Errors were encountered while processing:
 fglrx
 fglrx-amdcccle
E: Sub-process /usr/bin/dpkg returned an error code (1)

$ cat /var/lib/dkms/fglrx/8.723.1/build/make.log

DKMS make.log for fglrx-8.723.1 for kernel 2.6.35-14-generic (x86_64)
Tue Aug 17 18:06:24 CEST 2010
AMD kernel module generator version 2.1
cat: /lib/modules/2.6.35-14-generic/build/include/linux/utsrelease.h: No such file or directory
Error:
kernel includes at /lib/modules/2.6.35-14-generic/build/include do not match current kernel.
they are versioned as ""
instead of "2.6.35-14-generic".
you might need to adjust your symlinks:
- /usr/include
- /usr/src/linux

Timo Witte (timo-witte) wrote :

There seems to be a problem with XSever 1.9. fglrx_drv.so (undefined Symbol savedScreenInfo) XServer fails to start because the module can´t be loaded.

I am using the 2.6.35-15 Kernel on amd64

Steven Harper (stevenharperuk) wrote :

Latest updates - exactly the same problem

uname -a
Linux berk 2.6.35-19-generic #28-Ubuntu SMP Sun Aug 29 06:34:38 UTC 2010 x86_64 GNU/Linux

sudo apt-get install fglrx
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
  fglrx-amdcccle
The following NEW packages will be installed
  fglrx fglrx-amdcccle
0 upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
Need to get 0B/34.3MB of archives.
After this operation, 110MB of additional disk space will be used.
Do you want to continue [Y/n]? y
Selecting previously deselected package fglrx.
(Reading database ... 175181 files and directories currently installed.)
Unpacking fglrx (from .../fglrx_2%3a8.723.1-0ubuntu4_amd64.deb) ...
Selecting previously deselected package fglrx-amdcccle.
Unpacking fglrx-amdcccle (from .../fglrx-amdcccle_2%3a8.723.1-0ubuntu4_amd64.deb) ...
Processing triggers for man-db ...
Processing triggers for ureadahead ...
Setting up fglrx (2:8.723.1-0ubuntu4) ...
update-alternatives: using /usr/lib/fglrx/ld.so.conf to provide /etc/ld.so.conf.d/GL.conf (gl_conf) in auto mode.
update-initramfs: deferring update (trigger activated)
Loading new fglrx-8.723.1 DKMS files...
Building only for 2.6.35-19-generic
Building for architecture x86_64
Building initial module for 2.6.35-19-generic

Error! Bad return status for module build on kernel: 2.6.35-19-generic (x86_64)
Consult the make.log in the build directory
/var/lib/dkms/fglrx/8.723.1/build/ for more information.
dpkg: error processing fglrx (--configure):
 subprocess installed post-installation script returned error exit status 10
dpkg: dependency problems prevent configuration of fglrx-amdcccle:
 fglrx-amdcccle depends on fglrx; however:
  Package fglrx is not configured yet.
dpkg: error processing fglrx-amdcccle (--configure):
 dependency problems - leaving unconfigured
No apport report written because the error message indicates it's a follow-up error from a previous failure.
                                                                                                            Processing triggers for python-gmenu ...
Rebuilding /usr/share/applications/desktop.en_GB.utf8.cache...
Processing triggers for initramfs-tools ...
update-initramfs: Generating /boot/initrd.img-2.6.35-19-generic
Processing triggers for python-support ...
Errors were encountered while processing:
 fglrx
 fglrx-amdcccle
E: Sub-process /usr/bin/dpkg returned an error code (1)

Building initial module for 2.6.35-19-generic

Error! Bad return status for module build on kernel: 2.6.35-19-generic (x86_64)

make.log:

AMD kernel module generator version 2.1
cat: /lib/modules/2.6.35-19-generic/build/include/linux/utsrelease.h: No such file or directory

eltro5000 (eltro) wrote :

Yes, I have the same problem.
The ati-driver-installer (10.8) from the amd.com site is not working either.
It says

Error: ./default_policy.sh does not support version
default:v2:i686:lib::none:2.6.35-19-generic-pae:; make sure that the version is being
correctly set by --iscurrentdistro

I think the xserver v1.9 is not yet supported by fglrx.

Here are the make logs from /var/lib/dkms/flgrx/

wilfred_com (wilfredcom) wrote :

I added the PPA and install again the fglrx driver but isn't working.?field.comment=I added the PPA and install again the fglrx driver but isn't working.

My system is:

Kernel -> uname -r : 2.6.35-20-generic
Xorg -> xserver-xorg Version: 1:7.5+6ubuntu3
Hardware -> 01:05.0 VGA compatible controller: ATI Technologies Inc RS780MC [Radeon HD 3100 Graphics]

fglrx is broken with Xorg 7.6 and server 1.9. We wait on AMD to
deliver something that's compatible with Maverick. :D

Everything should be fine on Lucid with the Mainline kernel, however.

Timo Witte (timo-witte) wrote :

You have to downgrade to older xorg or wait for AMD
> I added the PPA and install again the fglrx driver but isn't
> working.?field.comment=I added the PPA and install again the fglrx
> driver but isn't working.
>
> My system is:
>
> Kernel -> uname -r : 2.6.35-20-generic
> Xorg -> xserver-xorg Version: 1:7.5+6ubuntu3
> Hardware -> 01:05.0 VGA compatible controller: ATI Technologies Inc
RS780MC [Radeon HD 3100 Graphics]
>
>
> ** Attachment added: "Log Xorg"
>
https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/573748/+attachment/1554669/+files/Xorg.0.log
>
> --
> [MASTER] fglrx does not build on 2.6.33 kernel and higher
> https://bugs.launchpad.net/bugs/573748
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (602067).
>
> Status in “fglrx-installer” package in Ubuntu: Triaged
>
> Bug description:
> This may not be the best place to put this but I have adapted patches from
Arch (http://aur.archlinux.org/packages.php?ID=29111) and the fglrx
dkms.conf to get fglrx to build.
>
> As a workaround it might help someone - I'm aware .34 kernels aren't
official packages (yet!).
>
> File locations:
> /usr/src/fglrx-8.723.1/dkms.conf
> /usr/src/fglrx-8.723.1/patches/fglrx-2.6.33.patch
> /usr/src/fglrx-8.723.1/patches/fglrx-2.6.34-rc4.patch
>
> To unsubscribe from this bug, go to:
>
https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/573748/+subscribe

Andy Postnikov (apostnikov) wrote :

Same troubles with Lucid 2.6.32-24-generic #43-Ubuntu SMP Thu Sep 16 14:58:24 UTC 2010 x86_64 GNU/Linux

--
Building only for 2.6.32-24-generic
Building for architecture x86_64
Building initial module for 2.6.32-24-generic

Error! Bad return status for module build on kernel: 2.6.32-24-generic (x86_64)
Consult the make.log in the build directory
/var/lib/dkms/fglrx/8.723.1/build/ for more information.
--

Randy (rbrickler) on 2010-09-19
Changed in fglrx-installer (Ubuntu):
status: Triaged → Fix Released
status: Fix Released → Confirmed
Changed in fglrx-installer (Ubuntu):
status: Confirmed → Triaged
Nicolas Boulesteix (noxx-free) wrote :
Download full text (3.7 KiB)

I have the same matter on my two computer.

I was using the x-update PPA and with the error with the last fglrx update, I try to inactivate PPA and go back to the original fglrx version (8.723) , but I get the same matter.

Here is the log of the synaptic windows (sorry, it's in french for some lines) :

**************************************************************************************************************
Paramétrage de fglrx (2:8.723.1-0ubuntu4) ...
update-initramfs: deferring update (trigger activated)
Removing old fglrx-8.723.1 DKMS files...

------------------------------
Deleting module version: 8.723.1
completely from the DKMS tree.
------------------------------
Done.
Loading new fglrx-8.723.1 DKMS files...
First Installation: checking all kernels...
Building only for 2.6.32-24-generic
Building for architecture x86_64
Building initial module for 2.6.32-24-generic

Error! Bad return status for module build on kernel: 2.6.32-24-generic (x86_64)
Consult the make.log in the build directory
/var/lib/dkms/fglrx/8.723.1/build/ for more information.
dpkg : erreur de traitement de fglrx (--configure) :
 le sous-processus script post-installation installé a retourné une erreur de sortie d'état 10
dpkg : des problèmes de dépendances empêchent la configuration de fglrx-amdcccle :
 fglrx-amdcccle dépend de fglrx ; cependant :
 Le paquet fglrx n'est pas encore configuré.
dpkg : erreur de traitement de fglrx-amdcccle (--configure) :
 problèmes de dépendances - laissé non configuré
Pas de rapport Apport écrit car le message d'erreur indique que c'est la suite d'une erreur précédente.
            Traitement des actions différées (« triggers ») pour « python-gmenu »...
Rebuilding /usr/share/applications/desktop.fr_FR.utf8.cache...
Traitement des actions différées (« triggers ») pour « initramfs-tools »...
update-initramfs: Generating /boot/initrd.img-2.6.32-24-generic
Traitement des actions différées (« triggers ») pour « python-support »...
Des erreurs ont été rencontrées pendant l'exécution :
 fglrx
 fglrx-amdcccle
E: Sub-process /usr/bin/dpkg returned an error code (1)
Échec de l'installation d'un paquet. Tentative de récupération :
Paramétrage de fglrx (2:8.723.1-0ubuntu4) ...
update-initramfs: deferring update (trigger activated)
Removing old fglrx-8.723.1 DKMS files...

------------------------------
Deleting module version: 8.723.1
completely from the DKMS tree.
------------------------------
Done.
Loading new fglrx-8.723.1 DKMS files...
First Installation: checking all kernels...
Building only for 2.6.32-24-generic
Building for architecture x86_64
Building initial module for 2.6.32-24-generic

Error! Bad return status for module build on kernel: 2.6.32-24-generic (x86_64)
Consult the make.log in the build directory
/var/lib/dkms/fglrx/8.723.1/build/ for more information.
dpkg : erreur de traitement de fglrx (--configure) :
 le sous-processus script post-installation installé a retourné une erreur de sortie d'état 10
dpkg : des problèmes de dépendances empêchent la configuration de fglrx-amdcccle :
 fglrx-amdcccle dépend de fglrx ; cependant :
 Le paquet fglrx n'est pas encore configuré.
dpkg : erreur de traitement de fglrx-amdcccle (--co...

Read more...

Nicolas Boulesteix (noxx-free) wrote :

Sorry, the message was sended before being finish.

I attached the make.log from the /var/lib/dkms/fglrx path.

On my main computer, radeon driver works mainly correctly, so, for the moment I use this, but on my laptop, radeon driver is severely dysfunctional (correct display of the desktop but with a lot of interference or noise, plymouth wasn't displayed at all, instead there's some ugly strange images)

So I try to install Maverick on it, and the radeon driver bug is still present (but it's not the purpose here) but the fglrx build matter is remaining too.
Notice that "additional driver" module doesn't suggest me any driver, so fglrx seems to be blocked ?

I'm not sure to understanding (I'm not an building expert...), but is there a way with the patch uploaded above, to build fglrx ? And how should I proceed ?

Thanks

Nicolas

Alberto Milone (albertomilone) wrote :

@Andy, Nicolas: sorry for the inconvenience, it seems that a security update of the kernel caused this problem. This change removed the compat_alloc_user_space function from asm/compat.h (which is what fglrx relies on). The kernel team is working on the issue in Lucid (which also affects Maverick).

@Andy, Nicolas, Alberto is referring to bug 642518, which is a different issue than the one reported here.

Alberto Milone (albertomilone) wrote :

@Jean-Baptiste: that's correct. Thanks for pointing us to the exact bug report.

Timo Witte (timo-witte) wrote :

yes.. this bug (573748) is about fglrx not building on the new xserver
1.9 (not the kernel)

2010/9/20 Alberto Milone <email address hidden>:
> @Jean-Baptiste: that's correct. Thanks for pointing us to the exact bug
> report.
>
> --
> [MASTER] fglrx does not build on 2.6.33 kernel and higher
> https://bugs.launchpad.net/bugs/573748
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (602067).
>
> Status in “fglrx-installer” package in Ubuntu: Triaged
>
> Bug description:
> This may not be the best place to put this but I have adapted patches from Arch (http://aur.archlinux.org/packages.php?ID=29111) and the fglrx dkms.conf to get fglrx to build.
>
> As a workaround it might help someone - I'm aware .34 kernels aren't official packages (yet!).
>
> File locations:
> /usr/src/fglrx-8.723.1/dkms.conf
> /usr/src/fglrx-8.723.1/patches/fglrx-2.6.33.patch
> /usr/src/fglrx-8.723.1/patches/fglrx-2.6.34-rc4.patch
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/573748/+subscribe
>

Nicolas Boulesteix (noxx-free) wrote :

Ok, Thanks for the information... I'm going to follow the right bug entry

Download full text (5.2 KiB)

Don't worry!! use the FREE driver "radeonhd" instead!!
Pourquoi se faire mal? We are not maso'chistic

> Message du 20/09/10 12:01
> De : "Nicolas Boulesteix" <email address hidden>
> A : <email address hidden>
> Copie à :
> Objet : [Bug 573748] Re: [MASTER] fglrx does not build on 2.6.33 kernel andhigher
>
>
> I have the same matter on my two computer.
>
> I was using the x-update PPA and with the error with the last fglrx
> update, I try to inactivate PPA and go back to the original fglrx
> version (8.723) , but I get the same matter.
>
> Here is the log of the synaptic windows (sorry, it's in french for some
> lines) :
>
> **************************************************************************************************************
> Paramétrage de fglrx (2:8.723.1-0ubuntu4) ...
> update-initramfs: deferring update (trigger activated)
> Removing old fglrx-8.723.1 DKMS files...
>
> ------------------------------
> Deleting module version: 8.723.1
> completely from the DKMS tree.
> ------------------------------
> Done.
> Loading new fglrx-8.723.1 DKMS files...
> First Installation: checking all kernels...
> Building only for 2.6.32-24-generic
> Building for architecture x86_64
> Building initial module for 2.6.32-24-generic
>
> Error! Bad return status for module build on kernel: 2.6.32-24-generic (x86_64)
> Consult the make.log in the build directory
> /var/lib/dkms/fglrx/8.723.1/build/ for more information.
> dpkg : erreur de traitement de fglrx (--configure) :
> le sous-processus script post-installation installé a retourné une erreur de sortie d'état 10
> dpkg : des problèmes de dépendances empêchent la configuration de fglrx-amdcccle :
> fglrx-amdcccle dépend de fglrx ; cependant :
> Le paquet fglrx n'est pas encore configuré.
> dpkg : erreur de traitement de fglrx-amdcccle (--configure) :
> problèmes de dépendances - laissé non configuré
> Pas de rapport Apport écrit car le message d'erreur indique que c'est la suite d'une erreur précédente.
> Traitement des actions différées (« triggers ») pour « python-gmenu »...
> Rebuilding /usr/share/applications/desktop.fr_FR.utf8.cache...
> Traitement des actions différées (« triggers ») pour « initramfs-tools »...
> update-initramfs: Generating /boot/initrd.img-2.6.32-24-generic
> Traitement des actions différées (« triggers ») pour « python-support »...
> Des erreurs ont été rencontrées pendant l'exécution :
> fglrx
> fglrx-amdcccle
> E: Sub-process /usr/bin/dpkg returned an error code (1)
> Échec de l'installation d'un paquet. Tentative de récupération :
> Paramétrage de fglrx (2:8.723.1-0ubuntu4) ...
> update-initramfs: deferring update (trigger activated)
> Removing old fglrx-8.723.1 DKMS files...
>
> ------------------------------
> Deleting module version: 8.723.1
> completely from the DKMS tree.
> ------------------------------
> Done.
> Loading new fglrx-8.723.1 DKMS files...
> First Installation: checking all kernels...
> Building only for 2.6.32-24-generic
> Building for architecture x86_64
> Building initial module for 2.6.32-24-generic
>
> Error! Bad return status for module build on kernel: 2.6.32-24-generic (x86_64)
> Consult the make.log in the build directo...

Read more...

Changed in fglrx-installer (Ubuntu):
importance: Medium → High
Download full text (6.3 KiB)

The radeonhd driver is Not compatible with 5xxx cards. You have to use the
normal radeon driver from xorg if you want a free driver. The radeondriver
Supports some 3d Features but is really slow, so use fglrx if you can.
> Don't worry!! use the FREE driver "radeonhd" instead!!
> Pourquoi se faire mal? We are not maso'chistic
>
>
>> Message du 20/09/10 12:01
>> De : "Nicolas Boulesteix" <email address hidden>
>> A : <email address hidden>
>> Copie à :
>> Objet : [Bug 573748] Re: [MASTER] fglrx does not build on 2.6.33 kernel
andhigher
>>
>>
>> I have the same matter on my two computer.
>>
>> I was using the x-update PPA and with the error with the last fglrx
>> update, I try to inactivate PPA and go back to the original fglrx
>> version (8.723) , but I get the same matter.
>>
>> Here is the log of the synaptic windows (sorry, it's in french for some
>> lines) :
>>
>>
**************************************************************************************************************
>> Paramétrage de fglrx (2:8.723.1-0ubuntu4) ...
>> update-initramfs: deferring update (trigger activated)
>> Removing old fglrx-8.723.1 DKMS files...
>>
>> ------------------------------
>> Deleting module version: 8.723.1
>> completely from the DKMS tree.
>> ------------------------------
>> Done.
>> Loading new fglrx-8.723.1 DKMS files...
>> First Installation: checking all kernels...
>> Building only for 2.6.32-24-generic
>> Building for architecture x86_64
>> Building initial module for 2.6.32-24-generic
>>
>> Error! Bad return status for module build on kernel: 2.6.32-24-generic
(x86_64)
>> Consult the make.log in the build directory
>> /var/lib/dkms/fglrx/8.723.1/build/ for more information.
>> dpkg : erreur de traitement de fglrx (--configure) :
>> le sous-processus script post-installation installé a retourné une erreur
de sortie d'état 10
>> dpkg : des problèmes de dépendances empêchent la configuration de
fglrx-amdcccle :
>> fglrx-amdcccle dépend de fglrx ; cependant :
>> Le paquet fglrx n'est pas encore configuré.
>> dpkg : erreur de traitement de fglrx-amdcccle (--configure) :
>> problèmes de dépendances - laissé non configuré
>> Pas de rapport Apport écrit car le message d'erreur indique que c'est la
suite d'une erreur précédente.
>> Traitement des actions différées (« triggers ») pour « python-gmenu »...
>> Rebuilding /usr/share/applications/desktop.fr_FR.utf8.cache...
>> Traitement des actions différées (« triggers ») pour
« initramfs-tools »...
>> update-initramfs: Generating /boot/initrd.img-2.6.32-24-generic
>> Traitement des actions différées (« triggers ») pour
« python-support »...
>> Des erreurs ont été rencontrées pendant l'exécution :
>> fglrx
>> fglrx-amdcccle
>> E: Sub-process /usr/bin/dpkg returned an error code (1)
>> Échec de l'installation d'un paquet. Tentative de récupération :
>> Paramétrage de fglrx (2:8.723.1-0ubuntu4) ...
>> update-initramfs: deferring update (trigger activated)
>> Removing old fglrx-8.723.1 DKMS files...
>>
>> ------------------------------
>> Deleting module version: 8.723.1
>> completely from the DKMS tree.
>> ------------------------------
>> Done.
>> Loading new fglrx-8.723.1 DKMS files...
>> First Install...

Read more...

Changed in fglrx-installer (Ubuntu Lucid):
status: New → Triaged
importance: Undecided → Medium
Changed in fglrx-installer (Ubuntu Maverick):
status: Triaged → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fglrx-installer - 2:8.780-0ubuntu1

---------------
fglrx-installer (2:8.780-0ubuntu1) maverick; urgency=low

  * New upstream release.
    - Fix build issues with kernel fix for CVE-2010-3081 (LP: #642518).
    - Add compatibility with 2.6.35 kernels (LP: #573748).
    - Add compatibility with xserver 1.9 (LP: #630599).
  * Make the driver Depend on the appropriate xserver-xorg-video-$ABI
    (LP: #616215).
 -- Alberto Milone <email address hidden> Wed, 22 Sep 2010 18:28:32 +0200

Changed in fglrx-installer (Ubuntu Maverick):
status: In Progress → Fix Released
Murz (murznn) wrote :

Where can I download and try fglrx-installer (2:8.780-0ubuntu1) maverick package?
I can't see it in repos: http://packages.ubuntu.com/search?keywords=fglrx&searchon=names&suite=maverick&section=all

http://support.amd.com/us/gpudownload/Pages/index.aspx

> Date: Thu, 23 Sep 2010 10:29:36 +0000
> From: <email address hidden>
> To: <email address hidden>
> Subject: [Bug 573748] Re: [MASTER] fglrx does not build on 2.6.33 kernel and higher
>
> Where can I download and try fglrx-installer (2:8.780-0ubuntu1) maverick package?
> I can't see it in repos: http://packages.ubuntu.com/search?keywords=fglrx&searchon=names&suite=maverick&section=all
>
> --
> [MASTER] fglrx does not build on 2.6.33 kernel and higher
> https://bugs.launchpad.net/bugs/573748
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (594348).

Package is here: https://launchpad.net/ubuntu/maverick/+source/fglrx-installer/2:8.780-0ubuntu1

It should show up when you update (it's currently downloading on mine right now).

No 64-bit build?

2:8.780-0ubuntu1: i386
2:8.723.1-0ubuntu4: amd64

Yes for amd64: https://launchpad.net/ubuntu/+source/fglrx-installer/2:8.780-0ubuntu1/+build/1971749

On 23 September 2010 19:28, Brett Alton <email address hidden> wrote:
> No 64-bit build?
>
> 2:8.780-0ubuntu1: i386
> 2:8.723.1-0ubuntu4: amd64
>
> --
> [MASTER] fglrx does not build on 2.6.33 kernel and higher
> https://bugs.launchpad.net/bugs/573748
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Barry Warsaw (barry) wrote :

% uname -a
Linux limelight 2.6.35-22-generic #33-Ubuntu SMP Sun Sep 19 20:32:27 UTC 2010 x86_64 GNU/Linux
% lspci | grep -i radeon
04:00.0 VGA compatible controller: ATI Technologies Inc RV730XT [Radeon HD 4670]

I have fglrx-installer 2:8.780-0ubuntu1

No evident errors on install. No evident errors in Xorg.0.log. Yet I still cannot enable desktop effects.

Rolf Leggewie (r0lf) wrote :

lucid has seen the end of its life and is no longer receiving any updates. Marking the lucid task for this ticket as "Won't Fix".

Changed in fglrx-installer (Ubuntu Lucid):
status: Triaged → Won't Fix

Hello,
i was able to install, but unable to run the apk on android 4.2.2
C.O.

Le 17/06/2015 13:14, Rolf Leggewie a écrit :
> lucid has seen the end of its life and is no longer receiving any
> updates. Marking the lucid task for this ticket as "Won't Fix".
>
> ** Changed in: fglrx-installer (Ubuntu Lucid)
> Status: Triaged => Won't Fix
>

To post a comment you must log in.